import pytest

from ids_list import get_ids
import path_setting
from in_common.base_request import BaseRequest
from all_backend_api.user_request import user_request


class TestSignExchanged:
    data = BaseRequest().api_load(path_setting.SIGN_EXCHANGED)
    sign_exchanged_case, sign_exchanged_data = get_ids(data, "sign_exchanged")

    @pytest.mark.parametrize("param", sign_exchanged_data, ids=sign_exchanged_case)
    def test_favors_diaries(self, param):
        r = user_request().sign_exchanged()
        assert r["error"] == param["assert"]
        #  校验字段是否存在


# assert r["data"] is True

